booster::aio::mutable_buffer Class Reference

A mutable buffer - a buffer for read operations. More...

`#include <booster/booster/aio/buffer.h>`

Inheritance diagram for booster::aio::mutable_buffer:

## Additional Inherited Members

Public Types inherited from booster::aio::buffer_impl< char * >
typedef std::pair< entry const *, size_t > | buffer_data_type
| A pair that defined the chunk.
Public Member Functions inherited from booster::aio::buffer_impl< char * >
| buffer_impl ()
std::pair< entry const *, size_t > | get () const
void | add (char *p, size_t s)
bool | empty () const

## Detailed Description

A mutable buffer - a buffer for read operations.

The documentation for this class was generated from the following file:

- booster/aio/buffer.h